unit Lbledit;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, Spin, inifiles, Dialogs, Mask;

type
  TEditDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    RN: TLabel;
    Rh: TLabel;
    labgb: TLabel;
    Label8: TLabel;
    Skip: TLabel;
    Every: TLabel;
    Label9: TLabel;
    Rheight: TEdit;
    Rnum: TEdit;
    RgapBet: TEdit;
    RTopMar: TEdit;
    Cwidth: TEdit;
    CgapBet: TEdit;
    CleftMar: TEdit;
    PSkip: TEdit;
    Prows: TEdit;
    CNum: TEdit;
    CONTINUOUS: TCheckBox;
    procedure FormActivate(Sender: TObject);
    procedure CNumKeyPress(Sender: TObject; var Key: Char);
    procedure CwidthExit(Sender: TObject);
    procedure RheightExit(Sender: TObject);
    procedure CgapBetExit(Sender: TObject);
    procedure RgapBetExit(Sender: TObject);
    procedure CleftMarExit(Sender: TObject);
    procedure RTopMarExit(Sender: TObject);
    procedure PSkipExit(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EditDlg: TEditDlg;

implementation

uses MDEMO;
{$R *.DFM}

procedure ltrim(Var s:string);
Var
  p:integer;
begin
repeat
  begin
  p:=pos(' ',s);
  if p = 1 then delete(s,1,1);
  end;
until (p <> 1) or (0 = length(s));
end;

function fmtfloat(s:string):string;
var
  v:real;
  ret:integer;
begin
val(s,v,ret);
str(v:6:3,s);
fmtfloat:=s;
end;



procedure TEditDlg.FormActivate(Sender: TObject);
Var
   labfile:Tinifile;
   n,d:string;
   p,ret:integer;
begin
  GETDIR(0,D);
  labfile:=tinifile.create(D+'\TMAIL.dat');
  Rheight.text:=labfile.readstring(editdlg.caption,'RHEIGHT','1');
  Cwidth.text:=labfile.readstring(editdlg.caption,'CWIDTH','4');
  RGapbet.text:=labfile.readstring(editdlg.caption,'RGAPBET','0');
  CGapbet.text:=labfile.readstring(editdlg.caption,'CGAPBET','0');
  RtopMar.text:=labfile.readstring(editdlg.caption,'RTOPMAR','0');
  CleftMar.text:=labfile.readstring(editdlg.caption,'CLEFTMAR','0');
  Rnum.text:=labfile.readstring(editdlg.caption,'RNUM','1');
  Cnum.text:=labfile.readstring(editdlg.caption,'CNUM','1');
  PSkip.text:=labfile.readstring(editdlg.caption,'PSKIP','0');
  Prows.text:=labfile.readstring(editdlg.caption,'PROWS','0');
  if 0 <> labfile.readinteger(editdlg.caption,'CONTINUOUS',0) then
      continuous.checked:=true else continuous.checked := false;

end;

procedure TEditDlg.CNumKeyPress(Sender: TObject; var Key: Char);
begin

if (key >= 'A') and (key <= 'z') then key := #0;
end;

procedure TEditDlg.CwidthExit(Sender: TObject);
begin
cwidth.text:=fmtfloat(cwidth.text);
end;

procedure TEditDlg.RheightExit(Sender: TObject);
begin
Rheight.text:=fmtfloat(Rheight.text);
end;

procedure TEditDlg.CgapBetExit(Sender: TObject);
begin
cgapbet.text:=fmtfloat(cgapbet.text);
end;

procedure TEditDlg.RgapBetExit(Sender: TObject);
begin
Rgapbet.text:=fmtfloat(RGapbet.text);
end;

procedure TEditDlg.CleftMarExit(Sender: TObject);
begin
cleftmar.text:=fmtfloat(cleftmar.text);
end;

procedure TEditDlg.RTopMarExit(Sender: TObject);
begin
RtopMar.text:=fmtfloat(RTopMar.text);
end;

procedure TEditDlg.PSkipExit(Sender: TObject);
begin
Pskip.text:=fmtfloat(Pskip.text);
end;

procedure TEditDlg.OKBtnClick(Sender: TObject);
Var
 labfile:Tinifile;
 s:string;

begin
{SAVE changes and exit }
GETDIR(0,S);
labfile:=Tinifile.create(S+'\TMAIL.dat');

labfile.writestring(editdlg.caption,'RHEIGHT',Rheight.text);
labfile.writestring(editdlg.caption,'CWIDTH',Cwidth.text);
labfile.writestring(editdlg.caption,'RGAPBET',Rgapbet.text);
labfile.writestring(editdlg.caption,'CGAPBET',Cgapbet.text);
labfile.writestring(editdlg.caption,'RTOPMAR',Rtopmar.text);
labfile.writestring(editdlg.caption,'CLEFTMAR',Cleftmar.text);
labfile.writestring(editdlg.caption,'RNUM',Rnum.text);
labfile.writestring(editdlg.caption,'CNUM',Cnum.text);
labfile.writestring(editdlg.caption,'PSKIP',Pskip.text);
labfile.writestring(editdlg.caption,'PROWS',Prows.text);
if continuous.checked then labfile.writestring(editdlg.caption,'CONTINUOUS','1')
   else labfile.writestring(editdlg.caption,'CONTINUOUS','0');
labfile.free;
editdlg.hide;
end;

procedure TEditDlg.CancelBtnClick(Sender: TObject);
begin
{ask are you sure then exit }
  if (messagedlg('Cancel editing? ',mtConfirmation,[mbYes,mbNo],0)= mryes) then
  editdlg.hide;
end;

end.
