unit Mdemo;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, inifiles, lbledit, DBTables, DB, Maillab, prt;

type
   TLabelInfo = class(Tobject)
     Name:string;     { label Description }
     Filler1:integer;
     Filler2:integer;
     RHeight:real;     { label Height }
     CWidth:real;      { label width  }
     RGap:real;        { Gap Between label rows}
     CGap:real;        { Gap between label columns }
     TopMargin:real;   { Top page margin }
     LeftMargin:real;  { left page margin }
     RowCount:integer; { # of Rows/page }
     ColCount:integer; { # of Columns/page }
     PerfSkip:real;    { distance to skip for perferation }
     PerfRows:integer; { # of labels between perferations }
     end;




  Tlabelc = class(TForm)
    Quit: TButton;
    ListBox1: TListBox;
    GroupBox1: TGroupBox;
    Edit: TButton;
    New: TButton;
    Delete: TButton;
    Button1: TButton;
    Table1: TTable;
    DataSource1: TDataSource;
    Mail1: TMail;
    Table1LAST: TStringField;
    Table1MIDDLE: TStringField;
    Table1FIRST: TStringField;
    Table1ADD1: TStringField;
    Table1ADD2: TStringField;
    Table1ZIP: TStringField;
    Table1SOURCE: TStringField;
    Table1PHONE: TStringField;
    Table1PHONE2: TStringField;
    Table1PKEY: TStringField;
    Table1CARRIER: TStringField;
    Table1RETURN: TStringField;
    Table1CID: TStringField;
    Table1NOSALES: TFloatField;
    Table1LSTSALEDT: TDateField;
    Table1LSTSALEAM: TFloatField;
    Table1YTDSALES: TFloatField;
    Table1BILLADD1: TStringField;
    Table1BILLADD2: TStringField;
    Table1BILLZIP: TStringField;
    Table1TAXID: TStringField;
    Table1CCNO1T: TStringField;
    Table1CCNO1N: TStringField;
    Table1CCNO1E: TStringField;
    Table1CCNO2T: TStringField;
    Table1CCNO2N: TStringField;
    Table1CCNO2E: TStringField;
    Table1CATEGORY: TStringField;
    Table1DEST: TStringField;
    procedure FormActivate(Sender: TObject);
    procedure EditClick(Sender: TObject);
    procedure DeleteClick(Sender: TObject);
    procedure NewClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure QuitClick(Sender: TObject);
    procedure Mail1BeginPrint(Sender: TObject);
    procedure Mail1EndPrint(Sender: TObject);
    procedure Mail1RecChanged(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  labelc: Tlabelc;
  labfile:Tinifile;

procedure loadlist;

implementation

{$R *.DFM}


procedure loadlist;
Var
ls:Tstringlist;
I,p:integer;
N:string;
begin
ls:=tstringlist.create;
ls.clear;
GETDIR(0,N);
ls.loadfromfile(n+'\TMAIL.dat');
i:=0;
labelc.listbox1.items.clear;
While i <  ls.count-1  do
  begin
  { cleanup and store label name }
  N:=ls[i];
  p:=pos('[',N);
  if p > 0 then
    begin
    delete(N,1,p);
    p:=pos(']',N);
    delete(N,p,1);
    labelc.listbox1.items.add(N);
    end;
  i:=i+1;
  end;
end;

procedure Tlabelc.FormActivate(Sender: TObject);
VAR
S:STRING;
begin
table1.active:=true;
loadlist;
end;

procedure Tlabelc.EditClick(Sender: TObject);
begin
if listbox1.itemindex < 0 then
  showmessage('Select Item to Edit')
else
  begin
  editdlg.caption:=listbox1.items[listbox1.itemindex];
  editdlg.show;
  end;
end;

procedure Tlabelc.DeleteClick(Sender: TObject);
var
 s,P:string;
 list:tinifile;
 r:word;
begin
if listbox1.itemindex >=0 then
  begin
  if (messagedlg('Delete Selected Item? ',mtConfirmation,[mbYes,mbNo],0)= mryes) then
  Begin
  GETDIR(0,P);
  s:=listbox1.items[listbox1.itemindex];
  listbox1.items.delete(listbox1.itemindex);
  list:=tinifile.create(P+'\TMAIL.dat');
  list.erasesection(s);
  list.free;
  end;
  end;
end;

procedure Tlabelc.NewClick(Sender: TObject);
var
 s:string;
begin
  s:= inputbox('New Label Name','Enter New Label Name ','New Label');
  editdlg.caption:= s;
  editdlg.show;
end;

procedure Tlabelc.Button1Click(Sender: TObject);
var
  S,item:string;
  v:double;
  r:integer;
  v2:integer;

begin
if listbox1.itemindex <> -1 then
  begin
  item:=listbox1.items[listbox1.itemindex];
  GETDIR(0,S);
  labfile:=tinifile.create(s+'\TMAIL.dat');
  val(labfile.readstring(item,'RHEIGHT','1'),v,r);
  Mail1.labRowHeight:=v;
  val(labfile.readstring(item,'CWIDTH','4'),v,r);
  Mail1.LabColWidth:=v;
  Val(labfile.readstring(item,'RGAPBET','0'),v,r);
  Mail1.LabRowGap:=v;
  val(labfile.readstring(item,'CGAPBET','0'),v,r);
  Mail1.LabColGap:=v;
  Val(labfile.readstring(item,'RTOPMAR','0'),v,r);
  Mail1.LabTopMargin:=v;
  Val(labfile.readstring(item,'CLEFTMAR','0'),v,r);
  Mail1.LabLeftMargin:=v;
  val(labfile.readstring(item,'RNUM','1'),v2,r);
  Mail1.LabRowCount:=v2;
  val(labfile.readstring(item,'CNUM','1'),v2,r);
  Mail1.LabColCount:=v2;
  val(labfile.readstring(item,'PSKIP','0'),v,r);
  Mail1.LabPerfSkip:=v;
  Val(labfile.readstring(item,'PROWS','0'),v2,r);
  Mail1.LabPerfRows:=v2;
  Val(labfile.readstring(item,'CONTINUOUS','0'),v2,r);
  IF V2 > 0 THEN Mail1.LabContinuous:=true else Mail1.LabContinuous:=false ;
  mail1.execute;
  end else showmessage('No label selected');
end;

procedure Tlabelc.QuitClick(Sender: TObject);
begin
table1.active:=false;
close;
end;

procedure Tlabelc.Mail1BeginPrint(Sender: TObject);
begin
showmessage('beginning demo print');
prtform.show;
end;

procedure Tlabelc.Mail1EndPrint(Sender: TObject);
begin
prtform.hide;
showmessage('completed printing');
end;

procedure Tlabelc.Mail1RecChanged(Sender: TObject);
var
s:string;
begin
str(mail1.currentrecord,s);
prtform.recno.caption:=s;
prtform.name.caption:=mail1.first+' '+mail1.middle+' '+mail1.last;
end;

end.
